"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const postProcessModel_1 = require("./postProcessModel");
const postProcessService_1 = require("./postProcessService");
/**
 * Post process client
 * @param client Client object with all the models, services, etc.
 * @param useUnionTypes Use inclusive union types.
 */
function postProcessClient(client, useUnionTypes) {
    return {
        ...client,
        models: client.models.map(model => postProcessModel_1.postProcessModel(model, client, useUnionTypes)),
        services: client.services.map(service => postProcessService_1.postProcessService(service, client, useUnionTypes)),
    };
}
exports.postProcessClient = postProcessClient;
