"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const postProcessModelEnum_1 = require("./postProcessModelEnum");
const postProcessModelEnums_1 = require("./postProcessModelEnums");
const postProcessModelImports_1 = require("./postProcessModelImports");
const postProcessUnionTypes_1 = require("./postProcessUnionTypes");
/**
 * Post process the model. If needed this will convert types to union types,
 * see the "useUnionTypes" flag in the documentation. Plus this will cleanup
 * any double imports or enum values.
 * @param model
 * @param client
 * @param useUnionTypes
 */
function postProcessModel(model, client, useUnionTypes) {
    const clone = postProcessUnionTypes_1.postProcessUnionTypes(model, client, useUnionTypes);
    return {
        ...clone,
        imports: postProcessModelImports_1.postProcessModelImports(clone),
        enums: postProcessModelEnums_1.postProcessModelEnums(clone),
        enum: postProcessModelEnum_1.postProcessModelEnum(clone),
    };
}
exports.postProcessModel = postProcessModel;
