"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const Handlebars = require("handlebars");
/**
 * Read and compile the Handlebars template.
 * @param filePath
 */
function readHandlebarsTemplate(filePath) {
    const template = fs
        .readFileSync(filePath, 'utf8')
        .toString()
        .trim();
    return Handlebars.compile(template, {
        strict: true,
        noEscape: true,
        preventIndent: true,
        knownHelpersOnly: true,
        knownHelpers: {
            equals: true,
            notEquals: true,
        },
    });
}
exports.readHandlebarsTemplate = readHandlebarsTemplate;
