"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const format_1 = require("./format");
/**
 * Generate Schemas using the Handlebar template and write to disk.
 * @param models Array of Models to write.
 * @param templates The loaded handlebar templates.
 * @param outputPath Directory to write the generated files to.
 */
function writeClientSchemas(models, templates, outputPath) {
    models.forEach(model => {
        const file = path.resolve(outputPath, `$${model.name}.ts`);
        const templateResult = templates.schema(model);
        fs.writeFileSync(file, format_1.format(templateResult));
    });
}
exports.writeClientSchemas = writeClientSchemas;
