"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const format_1 = require("./format");
/**
 * Generate Services using the Handlebar template and write to disk.
 * @param services Array of Services to write.
 * @param templates The loaded handlebar templates.
 * @param outputPath Directory to write the generated files to.
 * @param useOptions Use options or arguments functions.
 */
function writeClientServices(services, templates, outputPath, useOptions) {
    services.forEach(service => {
        const file = path.resolve(outputPath, `${service.name}.ts`);
        const templateResult = templates.service({
            ...service,
            useOptions,
        });
        fs.writeFileSync(file, format_1.format(templateResult));
    });
}
exports.writeClientServices = writeClientServices;
