"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
/**
 * Generate OpenAPI configuration file "OpenAPI.ts"
 * @param client Client object, containing, models, schemas and services.
 * @param templates The loaded handlebar templates.
 * @param outputPath Directory to write the generated files to.
 * @param httpClient The selected httpClient (fetch or XHR).
 */
function writeClientSettings(client, templates, outputPath, httpClient) {
    fs.writeFileSync(path.resolve(outputPath, 'OpenAPI.ts'), templates.settings({
        httpClient,
        server: client.server,
        version: client.version,
    }));
}
exports.writeClientSettings = writeClientSettings;
